org.apache.olingo.commons.api.edm

## Interface EdmProperty

- All Superinterfaces:
    EdmAnnotatable, EdmElement, EdmMappable, EdmNamed, EdmTyped

      public interface EdmProperty
      extends EdmElement, EdmMappable, EdmAnnotatable

  A CSDL Property element.
  EdmProperty defines a simple type or a complex type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()`
    `Integer` | `getMaxLength()`
    `String` | `getMimeType()` Gets the related MIME type for the property.
    `Integer` | `getPrecision()`
    `Integer` | `getScale()`
    `String` | `getScaleAsString()`
    `SRID` | `getSrid()`
    `EdmType` | `getTypeWithAnnotations()` See `EdmType` for more information about possible types.
    `boolean` | `isNullable()`
    `boolean` | `isPrimitive()` Gets the info if the property is a primitive property.
    `boolean` | `isUnicode()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmTyped

      `getType, isCollection`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getMimeType

          String getMimeType()

      Gets the related MIME type for the property.
      Returns:
        MIME type as String

    - #### isPrimitive

          boolean isPrimitive()

      Gets the info if the property is a primitive property.
      Returns:
        true, if it is a primitive property

    - #### isNullable

          boolean isNullable()

      Returns:
        true if nullable or not specified

    - #### getMaxLength

          Integer getMaxLength()

      Returns:
        the maximum length as an Integer or null if not specified

    - #### getPrecision

          Integer getPrecision()

      Returns:
        the precision as an Integer or null if not specified

    - #### getScale

          Integer getScale()

      Returns:
        the scale as an Integer or null if not specified

    - #### getScaleAsString

          String getScaleAsString()

      Returns:
        the scale as an String or null if not specified

    - #### getSrid

          SRID getSrid()

      Returns:
        a non-negative integer or the special value `variable`

    - #### isUnicode

          boolean isUnicode()

      Returns:
        true if unicode or not specified

    - #### getDefaultValue

          String getDefaultValue()

      Returns:
        the default value as a String or null if not specified

    - #### getTypeWithAnnotations

          EdmType getTypeWithAnnotations()

      See `EdmType` for more information about possible types.
      Returns:
        `EdmType`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.